package com.cmvr.vi.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cmvr.vi.model.domain.ViScheme;

import java.util.List;

/**
 * 语音交互-方案Service接口
 *
 * @author cmvr-iot
 */
public interface IViSchemeService extends IService<ViScheme> {
    /**
     * 查询语音交互-方案
     *
     * @param schemeId 语音交互-方案主键
     * @return 语音交互-方案
     */
    public ViScheme selectViSchemeBySchemeId(String schemeId);

    /**
     * 查询语音交互-方案列表
     *
     * @param viScheme 语音交互-方案
     * @return 语音交互-方案集合
     */
    public List<ViScheme> selectViSchemeList(ViScheme viScheme);

    /**
     * 新增语音交互-方案
     *
     * @param viScheme 语音交互-方案
     * @return 结果
     */
    public int insertViScheme(ViScheme viScheme);

    /**
     * 修改语音交互-方案
     *
     * @param viScheme 语音交互-方案
     * @return 结果
     */
    public int updateViScheme(ViScheme viScheme);

    /**
     * 批量删除语音交互-方案
     *
     * @param schemeIds 需要删除的语音交互-方案主键集合
     * @return 结果
     */
    public int deleteViSchemeBySchemeIds(String[] schemeIds);

    /**
     * 根据projectId查询方案列表
     */
    public List<ViScheme> querySchemesByProjectId(String projectId);
}
